For the complete documentation index, see llms.txt. This page is also available as Markdown.

Free Sequencer

Create and manage custom number sequences in VARIO Cloud via the Free Sequencer API, including activation, configuration, preview and next-value retrieval.

Create and Manage Free to use Sequences

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Label.

descriptionstringOptional

Description.

keystring · min: 1Required

key

activebooleanRequired

active

nextNumberstring · max: 255Read-onlyOptional

Next number.

get/cmn/sequencer/free/{id}
GET /cmn/sequencer/free/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "key": "text",
  "active": true,
  "sequencerConfiguration": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "key": "text",
    "configurationGroup": "text",
    "configurationDetail": {
      "type": "NON_POOLED_SEQUENCES",
      "assignmentMode": "MANUAL",
      "length": 1,
      "padChar": "text",
      "expression": "text",
      "postExpression": "text",
      "initialValue": 1,
      "numberUnique": true
    },
    "alternativeConfiguration": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "active": true
  },
  "nextNumber": "text"
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Label.

descriptionstringOptional

Description.

keystring · min: 1Required

key

activebooleanRequired

active

nextNumberstring · max: 255Read-onlyOptional

Next number.

Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Label.

descriptionstringOptional

Description.

keystring · min: 1Required

key

activebooleanRequired

active

nextNumberstring · max: 255Read-onlyOptional

Next number.

put/cmn/sequencer/free/{id}
PUT /cmn/sequencer/free/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 413

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "description": "text",
  "key": "text",
  "active": true,
  "sequencerConfiguration": {
    "version": "text",
    "info": {},
    "id": "text",
    "configurationDetail": {
      "type": "NON_POOLED_SEQUENCES",
      "assignmentMode": "MANUAL",
      "length": 1,
      "padChar": "text",
      "expression": "text",
      "postExpression": "text",
      "initialValue": 1,
      "numberUnique": true
    },
    "alternativeConfiguration": {
      "id": "text"
    },
    "active": true
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "key": "text",
  "active": true,
  "sequencerConfiguration": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "key": "text",
    "configurationGroup": "text",
    "configurationDetail": {
      "type": "NON_POOLED_SEQUENCES",
      "assignmentMode": "MANUAL",
      "length": 1,
      "padChar": "text",
      "expression": "text",
      "postExpression": "text",
      "initialValue": 1,
      "numberUnique": true
    },
    "alternativeConfiguration": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "active": true
  },
  "nextNumber": "text"
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

*/*
contextstringOptional

message context

messageValuestringOptional

message

delete/cmn/sequencer/free/{id}
DELETE /cmn/sequencer/free/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Deactivate an existing resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Label.

descriptionstringOptional

Description.

keystring · min: 1Required

key

activebooleanRequired

active

nextNumberstring · max: 255Read-onlyOptional

Next number.

put/cmn/sequencer/free/{id}/deactivate
PUT /cmn/sequencer/free/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "key": "text",
  "active": true,
  "sequencerConfiguration": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "key": "text",
    "configurationGroup": "text",
    "configurationDetail": {
      "type": "NON_POOLED_SEQUENCES",
      "assignmentMode": "MANUAL",
      "length": 1,
      "padChar": "text",
      "expression": "text",
      "postExpression": "text",
      "initialValue": 1,
      "numberUnique": true
    },
    "alternativeConfiguration": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "active": true
  },
  "nextNumber": "text"
}

Activate an existing resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Label.

descriptionstringOptional

Description.

keystring · min: 1Required

key

activebooleanRequired

active

nextNumberstring · max: 255Read-onlyOptional

Next number.

put/cmn/sequencer/free/{id}/activate
PUT /cmn/sequencer/free/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "key": "text",
  "active": true,
  "sequencerConfiguration": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "key": "text",
    "configurationGroup": "text",
    "configurationDetail": {
      "type": "NON_POOLED_SEQUENCES",
      "assignmentMode": "MANUAL",
      "length": 1,
      "padChar": "text",
      "expression": "text",
      "postExpression": "text",
      "initialValue": 1,
      "numberUnique": true
    },
    "alternativeConfiguration": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "active": true
  },
  "nextNumber": "text"
}

Create new Resource

post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Label.

descriptionstringOptional

Description.

keystring · min: 1Required

key

activebooleanRequired

active

nextNumberstring · max: 255Read-onlyOptional

Next number.

Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Label.

descriptionstringOptional

Description.

keystring · min: 1Required

key

activebooleanRequired

active

nextNumberstring · max: 255Read-onlyOptional

Next number.

post/cmn/sequencer/free
POST /cmn/sequencer/free HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 413

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "description": "text",
  "key": "text",
  "active": true,
  "sequencerConfiguration": {
    "version": "text",
    "info": {},
    "id": "text",
    "configurationDetail": {
      "type": "NON_POOLED_SEQUENCES",
      "assignmentMode": "MANUAL",
      "length": 1,
      "padChar": "text",
      "expression": "text",
      "postExpression": "text",
      "initialValue": 1,
      "numberUnique": true
    },
    "alternativeConfiguration": {
      "id": "text"
    },
    "active": true
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "key": "text",
  "active": true,
  "sequencerConfiguration": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "key": "text",
    "configurationGroup": "text",
    "configurationDetail": {
      "type": "NON_POOLED_SEQUENCES",
      "assignmentMode": "MANUAL",
      "length": 1,
      "padChar": "text",
      "expression": "text",
      "postExpression": "text",
      "initialValue": 1,
      "numberUnique": true
    },
    "alternativeConfiguration": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "active": true
  },
  "nextNumber": "text"
}
get
Path parameters
idinteger · int64Required
Responses
200

OK

*/*
stringOptional
get/cmn/sequencer/free/{id}/peek/
GET /cmn/sequencer/free/{id}/peek/ HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

text
get
Path parameters
idinteger · int64Required
Responses
200

OK

*/*
stringOptional
get/cmn/sequencer/free/{id}/next-value/
GET /cmn/sequencer/free/{id}/next-value/ HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

text
get
Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Label.

descriptionstringOptional

Description.

keystring · min: 1Required

key

activebooleanRequired

active

nextNumberstring · max: 255Read-onlyOptional

Next number.

get/cmn/sequencer/free/sequences
GET /cmn/sequencer/free/sequences HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]

Last updated

Was this helpful?